Open CASCADE Technology: StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember Class Reference

`#include <StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember.hxx>`

## Public Member Functions
| StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember (const Standard_Integer Low, const Standard_Integer Up)
| StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember (const Handle< StepElement_HSequenceOfSurfaceElementPurposeMember > &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Handle< StepElement_HSequenceOfSurfaceElementPurposeMember > &V)
void | Destroy ()
| ~StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember ()
Standard_Boolean | IsAllocated () const
const StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember & | Assign (const StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember &Other)
const StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember & | operator= (const StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< StepElement_HSequenceOfSurfaceElementPurposeMember > &Value)
const Handle < StepElement_HSequenceOfSurfaceElementPurposeMember > & | Value (const Standard_Integer Index) const
const Handle < StepElement_HSequenceOfSurfaceElementPurposeMember > & | operator() (const Standard_Integer Index) const
Handle < StepElement_HSequenceOfSurfaceElementPurposeMember > & | ChangeValue (const Standard_Integer Index)
Handle < StepElement_HSequenceOfSurfaceElementPurposeMember > & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember | ( | const Handle< StepElement_HSequenceOfSurfaceElementPurposeMember > & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::~StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember | ( |  | ) |
| inline

## Member Function Documentation

const StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember& StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::Assign | ( | const StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember & | Other | ) |

Handle< StepElement_HSequenceOfSurfaceElementPurposeMember >& StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::Destroy | ( |  | ) |

void StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::Init | ( | const Handle< StepElement_HSequenceOfSurfaceElementPurposeMember > & | V | ) |

Standard_Boolean StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::IsAllocated | ( |  | ) | const

Standard_Integer StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::Length | ( |  | ) | const

Standard_Integer StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::Lower | ( |  | ) | const

const Handle< StepElement_HSequenceOfSurfaceElementPurposeMember >& StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< StepElement_HSequenceOfSurfaceElementPurposeMember >& StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::operator() | ( | const Standard_Integer | Index | ) |
| inline

const StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember& StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::operator= | ( | const StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember & | Other | ) |
| inline

void StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< StepElement_HSequenceOfSurfaceElementPurposeMember > & | Value
| ) |  |

Standard_Integer StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::Upper | ( |  | ) | const

const Handle< StepElement_HSequenceOfSurfaceElementPurposeMember >& StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepElement_Array1OfHSequenceOfSurfaceElementPurposeMember.hxx